BP_BIOFETCH_GENBANK_PROXY(1)

NAME
bp_biofetch_genbank_proxy.pl - Caching BioFetch-compatible web proxy for GenBank

SYNOPSIS
  Install in cgi-bin directory of a Web server.  Stand back.

DESCRIPTION
This CGI script acts as the server side of the BioFetch protocol as described in http://obda.open-bio.org/Specs/. It provides two database access services, one for data source "genbank" (nucleotide entries) and the other for data source "genpep" (protein entries).

This script works by forwarding its requests to NCBI's eutils script, which lives at http://www.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi. It then reformats the output according to the BioFetch format so the sequences can be processed and returned by the Bio::DB::BioFetch module. Returned entries are temporarily cached on the Web server's file system, allowing frequently-accessed entries to be retrieved without another round trip to NCBI.

  INSTALLATION
You must have the following installed in order to run this script:

   1) perl
   2) the perl modules LWP and Cache::FileCache
   3) a web server (Apache recommended)

To install this script, copy it into the web server's cgi-bin directory. You might want to shorten its name; "dbfetch" is recommended.

There are several constants located at the top of the script that you may want to adjust. These are:

CACHE_LOCATION

This is the location on the filesystem where the cached files will be located. The default is /usr/tmp/dbfetch_cache.

MAX_SIZE

This is the maximum size that the cache can grow to. When the cache exceeds this size older entries will be deleted automatically. The default setting is 100,000,000 bytes (100 MB).

EXPIRATION

Entries that haven't been accessed in this length of time will be removed from the cache. The default is 1 week.

PURGE

This constant specifies how often the cache will be purged for older entries. The default is 1 hour.

TESTING
To see if this script is performing as expected, you may test it with this script:

 use Bio::DB::BioFetch;
 my $db = Bio::DB::BioFetch->new(-baseaddress=>'http://localhost/cgi-bin/dbfetch',
                                 -format     =>'genbank',
                                 -db         =>'genbank');
 my $seq = $db->get_Seq_by_id('DDU63596');
 print $seq->seq,"\n";

This should print out a DNA sequence.

SEE ALSO
Bio::DB::BioFetch, Bio::DB::Registry

AUTHOR
Lincoln Stein, <lstein-at-cshl.org>

Copyright (c) 2003 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.